Lists
Delete List
Delete a subscriber list
DELETE
/
api
/
v1
/
lists
/
{listId}
Delete List
curl --request DELETE \
--url https://api.sequenzy.com/api/v1/lists/{listId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/lists/{listId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"removedMemberships": 1250
}
{
"error": "Invalid API key"
}
{
"error": "List not found"
}
Delete a subscriber list and remove all of its memberships. Subscribers on the list are not deleted, they only lose the list membership. This action cannot be undone.
Request
string
required
Subscriber list ID.
curl -X DELETE "https://api.sequenzy.com/api/v1/lists/list_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
Responses
{
"success": true,
"removedMemberships": 1250
}
{
"error": "Invalid API key"
}
{
"error": "List not found"
}
⌘I
Delete List
